module matrix_multi (
    input clk,
    input rst_n,
    //启动信号
    input start, //该信号为1时，启动对两个矩阵数据的读操作

    // Ram的数据输入，读取两个矩阵的数据
    input [2:0] Ram_A_Data,
    output reg [1:0] Ram_A_Addr,
    output reg Ram_A_Enable,  //该信号为1时，使能RAM读操作

    input [2:0] Ram_B_Data,
    output reg [1:0] Ram_B_Addr,
    output reg Ram_B_Enable,  //该信号为1时，使能RAM读操作
    //Ram的数据输出,用于存放矩阵相乘的计算结果
    output reg [5:0] Ram_Result_Data,
    output reg [1:0] Ram_Result_Addr,
    output reg Ram_Result_Enable  ////该信号为1时，使能RAM写操作
);
    // 定义存储矩阵的数组
    reg [2:0] A[0:3];
    reg [2:0] B[0:3];
    reg [1:0] A_Addr;
    reg [1:0] B_Addr;
  
  
    //代码块1，读取Ram A的数据，Addr为0，1，2，3，计数到3时，地址固定为3，不再变化，并且Enable为0，不再读取数据
    always @(posedge clk, negedge rst_n) begin
    //读RAM A的代码
    end



    //代码块2，读取Ram B的数据，操作同读取Ram A，Addr为0，1，2，3，计数到3时，地址固定为3，不再变化，并且Enable为0，不再读取数据
    always @(posedge clk, negedge rst_n) begin
         //读RAM B的代码
    end

    //代码块3，待检测到RAM A与B读操作完成之后，启动矩阵乘法计算
    always @(posedge clk, negedge rst_n) begin
    //
    end




    //代码块4，将矩阵乘法计算结果输出，以写到第三个RAM中
    always @(posedge clk, negedge rst_n) begin
    //
    end
 

endmodule